org.eclipse.incquery.patternlanguage.emf.serializer

## Class AbstractEMFPatternLanguageSyntacticSequencer

- java.lang.Object
- - org.eclipse.xtext.serializer.sequencer.AbstractSyntacticSequencer
  - - org.eclipse.incquery.patternlanguage.emf.serializer.AbstractEMFPatternLanguageSyntacticSequencer

- All Implemented Interfaces:
    org.eclipse.xtext.serializer.acceptor.ISemanticSequenceAcceptor, org.eclipse.xtext.serializer.sequencer.ISyntacticSequencer
  Direct Known Subclasses:
    EMFPatternLanguageSyntacticSequencer

      public abstract class AbstractEMFPatternLanguageSyntacticSequencer
      extends org.eclipse.xtext.serializer.sequencer.AbstractSyntacticSequencer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.xtext.serializer.sequencer.ISyntacticSequencer

      `org.eclipse.xtext.serializer.sequencer.ISyntacticSequencer.ISyntacticSequencerOwner`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.xtext.serializer.acceptor.ISemanticSequenceAcceptor

      `NO_INDEX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractEMFPatternLanguageSyntacticSequencer()`

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.xtext.serializer.sequencer.AbstractSyntacticSequencer

      `acceptAssignedCrossRefDatatype, acceptAssignedCrossRefEnum, acceptAssignedCrossRefKeyword, acceptAssignedCrossRefTerminal, acceptAssignedDatatype, acceptAssignedEnum, acceptAssignedKeyword, acceptAssignedTerminal, acceptUnassignedAction, acceptUnassignedDatatype, acceptUnassignedEnum, acceptUnassignedKeyword, acceptUnassignedTerminal, enterAssignedAction, enterAssignedParserRuleCall, finish, init, init, leaveAssignedAction, leaveAssignedParserRuleCall`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractEMFPatternLanguageSyntacticSequencer

          public AbstractEMFPatternLanguageSyntacticSequencer()